List every retained GPU profile capture behind an endpoint, including revisions that no longer serve
GET
/
api
/
v1
/
endpoints
/
{name}
/
gpu-profiles
List every retained GPU profile capture behind an endpoint, including revisions that no longer serve
curl --request GET \
--url http://127.0.0.1:18000/api/v1/endpoints/{name}/gpu-profiles \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:18000/api/v1/endpoints/{name}/gpu-profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:18000/api/v1/endpoints/{name}/gpu-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/endpoints/{name}/gpu-profiles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"accelerator": "<string>",
"active": true,
"busy_share": 0.5,
"deployment": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"gpus": 123,
"id": "<string>",
"recorded_at": "2023-11-07T05:31:56Z",
"revision": 2,
"schema_version": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"tool": "<string>",
"tool_version": "<string>",
"verdict": {
"bottleneck": "host-launch",
"evidence": "<string>",
"sentence": "<string>"
}
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}⌘I
List every retained GPU profile capture behind an endpoint, including revisions that no longer serve
curl --request GET \
--url http://127.0.0.1:18000/api/v1/endpoints/{name}/gpu-profiles \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:18000/api/v1/endpoints/{name}/gpu-profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:18000/api/v1/endpoints/{name}/gpu-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/endpoints/{name}/gpu-profiles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"accelerator": "<string>",
"active": true,
"busy_share": 0.5,
"deployment": "<string>",
"ended_at": "2023-11-07T05:31:56Z",
"gpus": 123,
"id": "<string>",
"recorded_at": "2023-11-07T05:31:56Z",
"revision": 2,
"schema_version": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"tool": "<string>",
"tool_version": "<string>",
"verdict": {
"bottleneck": "host-launch",
"evidence": "<string>",
"sentence": "<string>"
}
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}